package ink.wgink.module.activiti.pojo.dtos.oa;

import io.swagger.annotations.ApiModel;

/**
 * @ClassName: OaTaskDTO
 * @Description: oa任务
 * @Author: wanggeng
 * @Date: 2022/3/23 09:33
 * @Version: 1.0
 */
@ApiModel
public class OaHistoryTaskDTO {

    private String taskId;
    private String taskName;
    private String taskDescription;
    private String formKey;
    private String formCode;
    private Integer formVersion;
    private String reportUid;
    private String processInstanceId;
    private String processName;
    private String processStartTime;
    private String processEndTime;
    private String mainTitle;
    private String startTime;
    private String endTime;
    private String startUserId;
    private String startUserName;
    private String startUserDepartmentIds;
    private String startUserDepartmentNames;

    public String getTaskId() {
        return taskId == null ? "" : taskId.trim();
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName == null ? "" : taskName.trim();
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskDescription() {
        return taskDescription == null ? "" : taskDescription.trim();
    }

    public void setTaskDescription(String taskDescription) {
        this.taskDescription = taskDescription;
    }

    public String getFormKey() {
        return formKey == null ? "" : formKey.trim();
    }

    public void setFormKey(String formKey) {
        this.formKey = formKey;
    }

    public String getFormCode() {
        return formCode == null ? "" : formCode.trim();
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public Integer getFormVersion() {
        return formVersion == null ? 0 : formVersion;
    }

    public void setFormVersion(Integer formVersion) {
        this.formVersion = formVersion;
    }

    public String getReportUid() {
        return reportUid == null ? "" : reportUid.trim();
    }

    public void setReportUid(String reportUid) {
        this.reportUid = reportUid;
    }

    public String getProcessInstanceId() {
        return processInstanceId == null ? "" : processInstanceId.trim();
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

    public String getProcessName() {
        return processName == null ? "" : processName.trim();
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public String getMainTitle() {
        return mainTitle == null ? "" : mainTitle.trim();
    }

    public void setMainTitle(String mainTitle) {
        this.mainTitle = mainTitle;
    }

    public String getProcessStartTime() {
        return processStartTime == null ? "" : processStartTime.trim();
    }

    public void setProcessStartTime(String processStartTime) {
        this.processStartTime = processStartTime;
    }

    public String getProcessEndTime() {
        return processEndTime == null ? "" : processEndTime.trim();
    }

    public void setProcessEndTime(String processEndTime) {
        this.processEndTime = processEndTime;
    }

    public String getStartTime() {
        return startTime == null ? "" : startTime.trim();
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime == null ? "" : endTime.trim();
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getStartUserId() {
        return startUserId == null ? "" : startUserId.trim();
    }

    public void setStartUserId(String startUserId) {
        this.startUserId = startUserId;
    }

    public String getStartUserName() {
        return startUserName == null ? "" : startUserName.trim();
    }

    public void setStartUserName(String startUserName) {
        this.startUserName = startUserName;
    }

    public String getStartUserDepartmentIds() {
        return startUserDepartmentIds == null ? "" : startUserDepartmentIds.trim();
    }

    public void setStartUserDepartmentIds(String startUserDepartmentIds) {
        this.startUserDepartmentIds = startUserDepartmentIds;
    }

    public String getStartUserDepartmentNames() {
        return startUserDepartmentNames == null ? "" : startUserDepartmentNames.trim();
    }

    public void setStartUserDepartmentNames(String startUserDepartmentNames) {
        this.startUserDepartmentNames = startUserDepartmentNames;
    }
}
